Skip to main content
Version: 3.2

3. Void

POST 

/api/v3/remote-pos/{source_pid}/remote-action/void

Void is meant to undo a operation (purchase, refund, pre-auth).

When a closing has been requested on a terminal, the void cannot be executed and the refund has be used. Cashless operations cannot be voided.

Request​

Responses​

Example
{
"success": true,
"data": {
"id": 86,
"uuid": "b569a93e-0169-4e0a-ba15-a92e6c2004b0",
"sourcePid": "210200010003",
"targetPid": "200200010003",
"groupId": 843,
"groupName": "Shop1 - Group 2",
"remoteActionStatusId": 1,
"remoteActionStatus": "Created",
"remoteActionStatusAt": "2026-02-16T15:07:09.000000Z",
"remoteActionTypeId": 30,
"remoteActionType": "VOID",
"updatedAt": "2026-02-16T15:07:09.000000Z",
"createdAt": "2026-02-16T15:07:09.000000Z",
"webHook": null,
"linkedObjectType": "Order",
"linkedObjectId": 1728281,
"details": {
"orderUuid": "4d4bd2a5-5dcd-43d9-9892-83834d304b1c",
"orderStatusId": 1500,
"shouldPrintReceipt": 0,
"operationsToVoid": [
{
"id": 1438194,
"paymentMethodId": 30,
"paymentMethodName": "Card",
"typeId": 10,
"typeName": "Purchase",
"statusId": 30,
"statusName": "Completed",
"amount": 1,
"currencyId": 1,
"referenceNumber": "671"
}
]
}
}
}